Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
todomenulist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTodoMain", "Language" )
| $NotDoneID = $ini->variable( "eZTodoMain", "NotDoneID" )
| $iniLanguage = new eZINI( "kernel/eztodo/user/intl/$Language/todolist.php.ini", false )
| $user =& eZUser::currentUser()
| $t
| $todo = new eZTodo()
| $todo_array = array()
if( $user) | $i =0
if(count( $todo_array) > 0) | else

## Variable Documentation

## ◆ $i

if ($user) $i =0

Definition at line 61 of file todomenulist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file todomenulist.php.

## ◆ $iniLanguage

$iniLanguage = new eZINI( "kernel/eztodo/user/intl/$Language/todolist.php.ini", false )

Definition at line 36 of file todomenulist.php.

## ◆ $Language

$Language = $ini->variable( "eZTodoMain", "Language" )

Definition at line 33 of file todomenulist.php.

## ◆ $NotDoneID

$NotDoneID = $ini->variable( "eZTodoMain", "NotDoneID" )

Definition at line 34 of file todomenulist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
"kernel/eztodo/user/intl/", $Language, "todomenulist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: todomenulist.php:33
$ini
$ini
Definition: todomenulist.php:31

Definition at line 45 of file todomenulist.php.

## ◆ $todo

$todo = new eZTodo()

Definition at line 53 of file todomenulist.php.

## ◆ $todo_array

$todo_array = array()

Definition at line 54 of file todomenulist.php.

Referenced by eZTodo\get(), eZTodo\getAll(), eZTodo\getByDate(), eZTodo\getByLimit(), eZTodo\getByOthers(), and eZTodo\getByUserID().

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 43 of file todomenulist.php.

## ◆ else

if (count($todo_array) > 0) else

Initial value:
{
$t->set_var( "todo_item", "" )
$t
$t
Definition: todomenulist.php:45

Definition at line 79 of file todomenulist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.